3.3. Workshop: Peer Review of Essay 1

Submissions opened: Monday, July 16, 2018, 1:00 AM
Submissions closed: Wednesday, October 10, 2018, 11:55 PM
Assessments opened: Thursday, October 11, 2018, 12:00 AM
Assessments closed: Monday, October 15, 2018, 11:55 PM

Setup phase

Workshop timeline with 5 phasesSkip to current tasks
Setup phase
Current phase
  • Task info The workshop is currently being set up. Please wait until it is switched to the next phase.
Submission phase
  • Task info Open for submissions from Monday, July 16, 2018, 1:00 AM (1235 days ago)
  • Task info Submissions deadline: Wednesday, October 10, 2018, 11:55 PM (1148 days ago)
  • Task info Late submissions are allowed
Assessment phase
  • Task info Open for assessment from Thursday, October 11, 2018, 12:00 AM (1148 days ago)
  • Task info Assessment deadline: Monday, October 15, 2018, 11:55 PM (1143 days ago)
Grading evaluation phase
Closed
Description

This workshop will provide a chance for peer review of your first essay.